## EMBOSS: seqretset

# Program seqretset

## Function

Reads and writes (returns) a set of sequences all at once

## Description

## Usage

Here is a sample session with seqretset.

    % seqretset
    Reads and writes (returns) a set of sequences all at once
    Input sequence set: embl:eclac*
    Output sequence [outfile.fasta]:

## Command line arguments

       Mandatory qualifiers:
      [-sequence]          seqset     Sequence set USA
      [-outseq]            seqoutset  Output sequence set USA

       Optional qualifiers: (none)
       Advanced qualifiers: (none)
       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | Sequence set USA | Readable sequences | Required
[-outseq] (Parameter 2) | Output sequence set USA | Writeable sequences | <sequence>.format
Optional qualifiers | Allowed values | Default
(none)
Advanced qualifiers | Allowed values | Default
(none)

## Input file format

## Output file format

The output from seqretset is a set of sequences, and by default will be written in FASTA format all in one file.

In some cases the output filename will be the same as the input filename, but as seqretset reads all the sequences before opening the output file it will safely overwrite. Note that this is not true of seqretall which only reads the first sequence before opening the ouput file, but is true of seqret which reads the first sequence at startup.

## Data files

## Notes

## References

## Warnings

## Diagnostic Error Messages

## Exit status

## Known bugs

## See also

Program name | Description
--- | ---
biosed | Replace or delete sequence sections
cutseq | Removes a specified section from a sequence
degapseq | Removes gap characters from sequences
descseq | Alter the name or description of a sequence
entret | Reads and writes (returns) flatfile entries
extractfeat | Extract features from a sequence
extractseq | Extract regions from a sequence
infoseq | Displays some simple information about sequences
listor | Writes a list file of the logical OR of two sets of sequences
maskfeat | Mask off features of a sequence
maskseq | Mask off regions of a sequence
newseq | Type in a short new sequence
noreturn | Removes carriage return from ASCII files
notseq | Excludes a set of sequences and writes out the remaining ones
nthseq | Writes one sequence from a multiple set of sequences
pasteseq | Insert one sequence into another
revseq | Reverse and complement a sequence
seqret | Reads and writes (returns) sequences
seqretall | Reads and writes (returns) a set of sequences one at a time
seqretsplit | Reads and writes (returns) sequences in individual files
splitter | Split a sequence into (overlapping) smaller sequences
swissparse | Retrieves sequences from swissprot using keyword search
trimest | Trim poly-A tails off EST sequences
trimseq | Trim ambiguous bits off the ends of sequences
vectorstrip | Strips out DNA between a pair of vector sequences

## Author(s)

This application was written by Peter Rice (pmr@sanger.ac.uk) Informatics Division, The Sanger Centre, Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SA, UK.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments